



 



    <View name="editor_content">

            <ViewClear/>
            <ViewCall text="tree/main"/>
            <ViewCall text="debug"/>

    </View>





        <View name="main_clicked">
                <ViewPart select="/data" part="main_content">
                    <ViewClear/>
                    <ViewPart select="/data/data/index.md" part_cls="GtkMarkdown"/>
                    <ViewCallX text="children_view"/>
                    <ViewRedraw/>
                </ViewPart>
                <ViewCall text="debug"/>

        </View>


        <View name="button_clicked">
                <Print text="%(name)s"/>
                <ViewPart part="main_content">
                    <ViewClear/>

                    <ViewPart part_cls="GtkButton" node_text="retour">
                        <AddEvent name="clicked" text="main_clicked"/>
                    </ViewPart>
                    <ViewPart part_cls="GtkLabel" node_text="%(name)s"/>
                    <ViewCall text="children_view"/>
                    <ViewRedraw/>

                </ViewPart>


        </View>
        <View name="children_view">
            <ViewPart select="*" part_cls="GtkButton" node_text="%(name)s">
                <AddEvent name="clicked" text="button_clicked"/>
            </ViewPart>
        </View>

    <View name="tree_clicked">
        <ViewPart part="main_content">
            <ViewClear/>
            <ViewCall text="tree/main"/>
            <ViewRedraw/>
        </ViewPart>
    </View>



